summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Wilcox <awilfox.gentoo@foxkit.us>2017-02-26 00:50:50 +0100
committerThomas Deutschmann <whissi@gentoo.org>2017-02-26 00:53:50 +0100
commite9a23e95ba54e79e60cb598b0e2d93a8f3098e07 (patch)
treed2205ef6d0ab4415422fd7bc397210b1b7f05248 /net-irc/inspircd/files/inspircd-r2.initd
parentmedia-sound/qmmp: Drop old (diff)
downloadgentoo-e9a23e95ba54e79e60cb598b0e2d93a8f3098e07.tar.gz
gentoo-e9a23e95ba54e79e60cb598b0e2d93a8f3098e07.tar.bz2
gentoo-e9a23e95ba54e79e60cb598b0e2d93a8f3098e07.zip
net-irc/inspircd: Bump to v2.0.23 (bug #593290)
Notable ebuild changes: ======================= - Rewritten runscript Closes: https://github.com/gentoo/gentoo/pull/4035 Gentoo-Bug: https://bugs.gentoo.org/593290 Package-Manager: Portage-2.3.3, Repoman-2.3.1 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'net-irc/inspircd/files/inspircd-r2.initd')
-rw-r--r--net-irc/inspircd/files/inspircd-r2.initd49
1 files changed, 49 insertions, 0 deletions
diff --git a/net-irc/inspircd/files/inspircd-r2.initd b/net-irc/inspircd/files/inspircd-r2.initd
new file mode 100644
index 000000000000..3b9528b48ee6
--- /dev/null
+++ b/net-irc/inspircd/files/inspircd-r2.initd
@@ -0,0 +1,49 @@
+#!/sbin/openrc-run
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+INSPIRCD_USER=${INSPIRCD_USER:-"inspircd"}
+INSPIRCD_GROUP=${INSPIRCD_GROUP:-"inspircd"}
+INSPIRCD_CONFIGFILE=${INSPIRCD_CONFIGFILE:-"/etc/inspircd/inspircd.conf"}
+INSPIRCD_LOGFILE=${INSPIRCD_LOGFILE:-"/var/log/inspircd/ircd.log"}
+INSPIRCD_PIDFILE=${INSPIRCD_PIDFILE:-"/run/inspircd/inspircd.pid"}
+INSPIRCD_SSDARGS=${INSPIRCD_SSDARGS:-"--quiet --user \"${INSPIRCD_USER}\" --wait 1000"}
+INSPIRCD_TERMTIMEOUT=${INSPIRCD_TERMTIMEOUT:-"TERM/25/KILL/5"}
+INSPIRCD_OPTS=${INSPIRCD_OPTS:-""}
+
+command="/usr/bin/inspircd"
+command_args="${INSPIRCD_OPTS} --config \"${INSPIRCD_CONFIGFILE}\" --logfile \"${INSPIRCD_LOGFILE}\""
+start_stop_daemon_args="${INSPIRCD_SSDARGS}"
+pidfile="${INSPIRCD_PIDFILE}"
+retry="${INSPIRCD_TERMTIMEOUT}"
+
+required_files="${INSPIRCD_CONFIGFILE}"
+
+name="InspIRCd"
+
+description="InspIRCd is a modular Internet Relay Chat (IRC) server."
+
+extra_commands="version"
+extra_started_commands="rehash"
+
+depend() {
+ use dns
+ provide ircd
+}
+
+start_pre() {
+ checkpath --directory --mode 0750 --owner ${INSPIRCD_USER}:${INSPIRCD_GROUP} "$(dirname "${INSPIRCD_PIDFILE}")"
+}
+
+rehash() {
+ ebegin "Rehashing InspIRCd"
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
+ eend $?
+}
+
+version() {
+ ebegin "Retrieve InspIRCd version"
+ ${command} --version
+ eend $?
+}